Record Class AssistantResponse

java.lang.Object
java.lang.Record
ch.tocco.nice2.optional.aiassistant.impl.rest.AssistantResponse
Record Components:
conversationKey - key of the (new or continued) conversation the turn was stored in
function - the assistant function that produced the turn
label - the conversation label (auto-generated from the first question)
answer - the answer in the requested language
sources - optional citations produced by the function (may be empty)

public record AssistantResponse(String conversationKey, String function, String label, String answer, List<ChatResponse.Source> sources) extends Record
Response body of POST /nice2/rest/aiAssistant.
  • Constructor Details

    • AssistantResponse

      public AssistantResponse(String conversationKey, String function, String label, String answer, List<ChatResponse.Source> sources)
      Creates an instance of a AssistantResponse record class.
      Parameters:
      conversationKey - the value for the conversationKey record component
      function - the value for the function record component
      label - the value for the label record component
      answer - the value for the answer record component
      sources - the value for the sources record component
  • Method Details

    • toString

      public final String toString()
      Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
      Specified by:
      toString in class Record
      Returns:
      a string representation of this object
    • hashCode

      public final int hashCode()
      Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
      Specified by:
      hashCode in class Record
      Returns:
      a hash code value for this object
    • equals

      public final boolean equals(Object o)
      Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with Objects::equals(Object,Object).
      Specified by:
      equals in class Record
      Parameters:
      o - the object with which to compare
      Returns:
      true if this object is the same as the o argument; false otherwise.
    • conversationKey

      public String conversationKey()
      Returns the value of the conversationKey record component.
      Returns:
      the value of the conversationKey record component
    • function

      public String function()
      Returns the value of the function record component.
      Returns:
      the value of the function record component
    • label

      public String label()
      Returns the value of the label record component.
      Returns:
      the value of the label record component
    • answer

      public String answer()
      Returns the value of the answer record component.
      Returns:
      the value of the answer record component
    • sources

      public List<ChatResponse.Source> sources()
      Returns the value of the sources record component.
      Returns:
      the value of the sources record component